#!/usr/bin/env python3
#--------------------------------------------------------------#
# Script to extract water depths at observation points
#--------------------------------------------------------------#
import xarray as xr
import sys
import numpy as np
import os
import glob
import pandas as pd
import matplotlib.pyplot as plt
xr.set_options(display_max_rows=1000)
#--------------------------------------------------------------#
## Read from command line
nArgv = len(sys.argv)
if nArgv <= 1:
    print('Missing folder(s) argument. Specify one or more folders to run this script!')
    sys.exit()
else:
    for i in range(1,nArgv):
      files = sorted(glob.glob(sys.argv[i]+'/dataAll/Turbine_Power.dat'))
#      files = files[1:2]
      if (len(files) == 0):
        sys.exit()

      for file in files:
        ufData = pd.read_csv(file, sep="\s+|\t", header=None, skiprows=1,
                            names = range(20), engine="python")
 
        time = np.array(ufData[:][1])
        power = np.array(ufData[:][6])

        plt.plot(time,power/1000,label='Case 1 - ' + str(sys.argv[i].split('/')[1][0:-3]))

    plt.xlabel('Simulated Time (s)')
    plt.ylabel('Power (kW)')
    plt.legend()
    plt.show()
